package compression

import (
	"log"

	"github.com/go-flucky/flucky/pkg/logfile"

	"github.com/spf13/cobra"
)

var compression bool
var configFile *string

var compressionCmd = &cobra.Command{
	Use:     "compression",
	Short:   "Compress a logfile",
	Args:    cobra.ExactArgs(1),
	Example: "flucky compression /var/log/flucky/logfile.csv",
	Run: func(cmd *cobra.Command, args []string) {

		measuredValueLogfile := logfile.New(args[0])
		measuredValues, err := measuredValueLogfile.Read()
		if err != nil {
			log.Fatalln(err)
		}

		measuredValues = logfile.Compression(measuredValues)

		err = measuredValueLogfile.Write(measuredValues)
		if err != nil {
			log.Fatalln(err)
		}
	},
}

func InitCmd(cmd *cobra.Command, cnfFile *string) {
	configFile = cnfFile
	cmd.AddCommand(compressionCmd)

}
