package db

import (
	"context"
	"log"

	database "github.com/go-flucky/flucky/pkg/db"
	"github.com/go-flucky/flucky/pkg/types"
	"github.com/spf13/cobra"
)

var configFile *string

var dbCmd = &cobra.Command{
	Use:   "db",
	Short: "Operates with the configured database",
	Run: func(cmd *cobra.Command, args []string) {

		postgresDB, err := database.New(database.DBOTypePostgres, "localhost", "5432", "postgres", "postgres", "postgres")
		if err != nil {
			log.Fatalf("%v", err)
		}

		ctx := context.Background()

		devices := []*types.Device{
			&types.Device{
				DeviceID:   "1684df26-bc72-4435-a4f9-74b24bdb286c",
				DeviceName: "raspberr-pi",
			},
			&types.Device{
				DeviceID:   "1684df26-bc72-4435-a4f9-74b24bdb286c",
				DeviceName: "raspberr-pi",
			},
		}

		if err := postgresDB.InsertDevices(ctx, devices); err != nil {
			log.Fatalln(err)
		}
	},
}

// Execute a
func InitCmd(cmd *cobra.Command, cnfFile *string) {
	configFile = cnfFile

	cmd.AddCommand(dbCmd)

}
