package logfile

import "errors"

var (
	errorLogfileCreate    = errors.New("Can not create logfile")
	errorLogfileDecode    = errors.New("Can not decode from reader")
	errorLogfileEncode    = errors.New("Can not encode from writer")
	errorLogfileMarshal   = errors.New("Can not marshal values")
	errorLogfileNotFound  = errors.New("Can not find logfile")
	errorLogfileOpen      = errors.New("Can not open logfile")
	errorLogfileRead      = errors.New("Can not read from given reader")
	errorLogfileUnmarshal = errors.New("Can not unmarshal values")
	errorLogfileWrite     = errors.New("Can not write with given writer")

	errorParseFloat           = errors.New("Can not parse float")
	errorParseMeasurementUnit = errors.New("Can not parse mesaurement unit")
	errorParseTime            = errors.New("Can not parse time")

	errorNoValidHumidityID    = errors.New("No valid humidity id detected or available")
	errorNoValidMesuredValue  = errors.New("No mesured value detected or available")
	errorNoValidSensorID      = errors.New("No sensor id detected or available")
	errorNoValidTemperatureID = errors.New("No valid temperature id detected or available")
	errorNoValidTime          = errors.New("No time detected or available")
	errorNoValidTimePeriods   = errors.New("No valid time periods")

	errorTypeSwitch = errors.New("Can not detect type via type switch")
)
